{
  "description": "Copycat Slipnet - A semantic network for analogical reasoning",
  "nodeCount": 59,
  "linkCount": 202,
  "initiallyClampedNodes": [
    "letterCategory",
    "stringPositionCategory"
  ],
  "nodes": [
    {
      "name": "a",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "b",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "c",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "d",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "e",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "f",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "g",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "h",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "i",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "j",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "k",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "l",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "m",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "n",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "o",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "p",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "q",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "r",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "s",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "t",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "u",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "v",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "w",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "x",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "y",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "z",
      "conceptualDepth": 10.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "1",
      "conceptualDepth": 30.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "2",
      "conceptualDepth": 30.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "3",
      "conceptualDepth": 30.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "4",
      "conceptualDepth": 30.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "5",
      "conceptualDepth": 30.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "leftmost",
      "conceptualDepth": 40.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "rightmost",
      "conceptualDepth": 40.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "middle",
      "conceptualDepth": 40.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "single",
      "conceptualDepth": 40.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "whole",
      "conceptualDepth": 40.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "first",
      "conceptualDepth": 60.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "last",
      "conceptualDepth": 60.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "left",
      "conceptualDepth": 40.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0,
      "codelets": [
        "top-down-bond-scout--direction",
        "top-down-group-scout--direction"
      ]
    },
    {
      "name": "right",
      "conceptualDepth": 40.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0,
      "codelets": [
        "top-down-bond-scout--direction",
        "top-down-group-scout--direction"
      ]
    },
    {
      "name": "predecessor",
      "conceptualDepth": 50.0,
      "intrinsicLinkLength": 60.0,
      "shrunkLinkLength": 24.0,
      "codelets": [
        "top-down-bond-scout--category"
      ]
    },
    {
      "name": "successor",
      "conceptualDepth": 50.0,
      "intrinsicLinkLength": 60.0,
      "shrunkLinkLength": 24.0,
      "codelets": [
        "top-down-bond-scout--category"
      ]
    },
    {
      "name": "sameness",
      "conceptualDepth": 80.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0,
      "codelets": [
        "top-down-bond-scout--category"
      ]
    },
    {
      "name": "predecessorGroup",
      "conceptualDepth": 50.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0,
      "codelets": [
        "top-down-group-scout--category"
      ]
    },
    {
      "name": "successorGroup",
      "conceptualDepth": 50.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0,
      "codelets": [
        "top-down-group-scout--category"
      ]
    },
    {
      "name": "samenessGroup",
      "conceptualDepth": 80.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0,
      "codelets": [
        "top-down-group-scout--category"
      ]
    },
    {
      "name": "identity",
      "conceptualDepth": 90.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "opposite",
      "conceptualDepth": 90.0,
      "intrinsicLinkLength": 80.0,
      "shrunkLinkLength": 32.0
    },
    {
      "name": "letter",
      "conceptualDepth": 20.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "group",
      "conceptualDepth": 80.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "letterCategory",
      "conceptualDepth": 30.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "stringPositionCategory",
      "conceptualDepth": 70.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0,
      "codelets": [
        "top-down-description-scout"
      ]
    },
    {
      "name": "alphabeticPositionCategory",
      "conceptualDepth": 80.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0,
      "codelets": [
        "top-down-description-scout"
      ]
    },
    {
      "name": "directionCategory",
      "conceptualDepth": 70.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "bondCategory",
      "conceptualDepth": 80.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "groupCategory",
      "conceptualDepth": 80.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "length",
      "conceptualDepth": 60.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "objectCategory",
      "conceptualDepth": 90.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    },
    {
      "name": "bond_edge_type",
      "conceptualDepth": 90.0,
      "intrinsicLinkLength": 0,
      "shrunkLinkLength": 0.0
    }
  ],
  "links": [
    {
      "source": "a",
      "destination": "b",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "b",
      "destination": "a",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "b",
      "destination": "c",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "c",
      "destination": "b",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "c",
      "destination": "d",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "d",
      "destination": "c",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "d",
      "destination": "e",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "e",
      "destination": "d",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "e",
      "destination": "f",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "f",
      "destination": "e",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "f",
      "destination": "g",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "g",
      "destination": "f",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "g",
      "destination": "h",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "h",
      "destination": "g",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "h",
      "destination": "i",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "i",
      "destination": "h",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "i",
      "destination": "j",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "j",
      "destination": "i",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "j",
      "destination": "k",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "k",
      "destination": "j",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "k",
      "destination": "l",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "l",
      "destination": "k",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "l",
      "destination": "m",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "m",
      "destination": "l",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "m",
      "destination": "n",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "n",
      "destination": "m",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "n",
      "destination": "o",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "o",
      "destination": "n",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "o",
      "destination": "p",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "p",
      "destination": "o",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "p",
      "destination": "q",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "q",
      "destination": "p",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "q",
      "destination": "r",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "r",
      "destination": "q",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "r",
      "destination": "s",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "s",
      "destination": "r",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "s",
      "destination": "t",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "t",
      "destination": "s",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "t",
      "destination": "u",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "u",
      "destination": "t",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "u",
      "destination": "v",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "v",
      "destination": "u",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "v",
      "destination": "w",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "w",
      "destination": "v",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "w",
      "destination": "x",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "x",
      "destination": "w",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "x",
      "destination": "y",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "y",
      "destination": "x",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "y",
      "destination": "z",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "z",
      "destination": "y",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "1",
      "destination": "2",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "2",
      "destination": "1",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "2",
      "destination": "3",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "3",
      "destination": "2",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "3",
      "destination": "4",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "4",
      "destination": "3",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "4",
      "destination": "5",
      "fixedLength": 0.0,
      "label": "successor",
      "type": "nonSlip"
    },
    {
      "source": "5",
      "destination": "4",
      "fixedLength": 0.0,
      "label": "predecessor",
      "type": "nonSlip"
    },
    {
      "source": "a",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "a",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "b",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "b",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "c",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "c",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "d",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "d",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "e",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "e",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "f",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "f",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "g",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "g",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "h",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "h",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "i",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "i",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "j",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "j",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "k",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "k",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "l",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "l",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "m",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "m",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "n",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "n",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "o",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "o",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "p",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "p",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "q",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "q",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "r",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "r",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "s",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "s",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "t",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "t",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "u",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "u",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "v",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "v",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "w",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "w",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "x",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "x",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "y",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "y",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "z",
      "destination": "letterCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "letterCategory",
      "destination": "z",
      "fixedLength": 97.0,
      "type": "instance"
    },
    {
      "source": "samenessGroup",
      "destination": "letterCategory",
      "fixedLength": 50.0,
      "type": "category"
    },
    {
      "source": "1",
      "destination": "length",
      "fixedLength": 30.0,
      "type": "category"
    },
    {
      "source": "length",
      "destination": "1",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "2",
      "destination": "length",
      "fixedLength": 30.0,
      "type": "category"
    },
    {
      "source": "length",
      "destination": "2",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "3",
      "destination": "length",
      "fixedLength": 30.0,
      "type": "category"
    },
    {
      "source": "length",
      "destination": "3",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "4",
      "destination": "length",
      "fixedLength": 30.0,
      "type": "category"
    },
    {
      "source": "length",
      "destination": "4",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "5",
      "destination": "length",
      "fixedLength": 30.0,
      "type": "category"
    },
    {
      "source": "length",
      "destination": "5",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "predecessorGroup",
      "destination": "length",
      "fixedLength": 95.0,
      "type": "nonSlip"
    },
    {
      "source": "successorGroup",
      "destination": "length",
      "fixedLength": 95.0,
      "type": "nonSlip"
    },
    {
      "source": "samenessGroup",
      "destination": "length",
      "fixedLength": 95.0,
      "type": "nonSlip"
    },
    {
      "source": "first",
      "destination": "last",
      "fixedLength": 0.0,
      "label": "opposite",
      "type": "slip"
    },
    {
      "source": "last",
      "destination": "first",
      "fixedLength": 0.0,
      "label": "opposite",
      "type": "slip"
    },
    {
      "source": "leftmost",
      "destination": "rightmost",
      "fixedLength": 0.0,
      "label": "opposite",
      "type": "slip"
    },
    {
      "source": "rightmost",
      "destination": "leftmost",
      "fixedLength": 0.0,
      "label": "opposite",
      "type": "slip"
    },
    {
      "source": "left",
      "destination": "right",
      "fixedLength": 0.0,
      "label": "opposite",
      "type": "slip"
    },
    {
      "source": "right",
      "destination": "left",
      "fixedLength": 0.0,
      "label": "opposite",
      "type": "slip"
    },
    {
      "source": "successor",
      "destination": "predecessor",
      "fixedLength": 0.0,
      "label": "opposite",
      "type": "slip"
    },
    {
      "source": "predecessor",
      "destination": "successor",
      "fixedLength": 0.0,
      "label": "opposite",
      "type": "slip"
    },
    {
      "source": "successorGroup",
      "destination": "predecessorGroup",
      "fixedLength": 0.0,
      "label": "opposite",
      "type": "slip"
    },
    {
      "source": "predecessorGroup",
      "destination": "successorGroup",
      "fixedLength": 0.0,
      "label": "opposite",
      "type": "slip"
    },
    {
      "source": "a",
      "destination": "first",
      "fixedLength": 75.0,
      "type": "property"
    },
    {
      "source": "z",
      "destination": "last",
      "fixedLength": 75.0,
      "type": "property"
    },
    {
      "source": "letter",
      "destination": "objectCategory",
      "fixedLength": 70.0,
      "type": "category"
    },
    {
      "source": "objectCategory",
      "destination": "letter",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "group",
      "destination": "objectCategory",
      "fixedLength": 10.0,
      "type": "category"
    },
    {
      "source": "objectCategory",
      "destination": "group",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "leftmost",
      "destination": "stringPositionCategory",
      "fixedLength": 30.0,
      "type": "category"
    },
    {
      "source": "stringPositionCategory",
      "destination": "leftmost",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "rightmost",
      "destination": "stringPositionCategory",
      "fixedLength": 30.0,
      "type": "category"
    },
    {
      "source": "stringPositionCategory",
      "destination": "rightmost",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "middle",
      "destination": "stringPositionCategory",
      "fixedLength": 30.0,
      "type": "category"
    },
    {
      "source": "stringPositionCategory",
      "destination": "middle",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "single",
      "destination": "stringPositionCategory",
      "fixedLength": 30.0,
      "type": "category"
    },
    {
      "source": "stringPositionCategory",
      "destination": "single",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "whole",
      "destination": "stringPositionCategory",
      "fixedLength": 30.0,
      "type": "category"
    },
    {
      "source": "stringPositionCategory",
      "destination": "whole",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "first",
      "destination": "alphabeticPositionCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "alphabeticPositionCategory",
      "destination": "first",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "last",
      "destination": "alphabeticPositionCategory",
      "fixedLength": 20.0,
      "type": "category"
    },
    {
      "source": "alphabeticPositionCategory",
      "destination": "last",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "left",
      "destination": "directionCategory",
      "fixedLength": 30.0,
      "type": "category"
    },
    {
      "source": "directionCategory",
      "destination": "left",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "right",
      "destination": "directionCategory",
      "fixedLength": 30.0,
      "type": "category"
    },
    {
      "source": "directionCategory",
      "destination": "right",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "predecessor",
      "destination": "bondCategory",
      "fixedLength": 30.0,
      "type": "category"
    },
    {
      "source": "bondCategory",
      "destination": "predecessor",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "successor",
      "destination": "bondCategory",
      "fixedLength": 30.0,
      "type": "category"
    },
    {
      "source": "bondCategory",
      "destination": "successor",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "sameness",
      "destination": "bondCategory",
      "fixedLength": 0.0,
      "type": "category"
    },
    {
      "source": "bondCategory",
      "destination": "sameness",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "predecessorGroup",
      "destination": "groupCategory",
      "fixedLength": 30.0,
      "type": "category"
    },
    {
      "source": "groupCategory",
      "destination": "predecessorGroup",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "successorGroup",
      "destination": "groupCategory",
      "fixedLength": 30.0,
      "type": "category"
    },
    {
      "source": "groupCategory",
      "destination": "successorGroup",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "samenessGroup",
      "destination": "groupCategory",
      "fixedLength": 0.0,
      "type": "category"
    },
    {
      "source": "groupCategory",
      "destination": "samenessGroup",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "letterCategory",
      "destination": "bond_edge_type",
      "fixedLength": 60.0,
      "type": "category"
    },
    {
      "source": "bond_edge_type",
      "destination": "letterCategory",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "length",
      "destination": "bond_edge_type",
      "fixedLength": 30.0,
      "type": "category"
    },
    {
      "source": "bond_edge_type",
      "destination": "length",
      "fixedLength": 100.0,
      "type": "instance"
    },
    {
      "source": "sameness",
      "destination": "samenessGroup",
      "fixedLength": 30.0,
      "label": "groupCategory",
      "type": "nonSlip"
    },
    {
      "source": "successor",
      "destination": "successorGroup",
      "fixedLength": 60.0,
      "label": "groupCategory",
      "type": "nonSlip"
    },
    {
      "source": "predecessor",
      "destination": "predecessorGroup",
      "fixedLength": 60.0,
      "label": "groupCategory",
      "type": "nonSlip"
    },
    {
      "source": "samenessGroup",
      "destination": "sameness",
      "fixedLength": 90.0,
      "label": "bondCategory",
      "type": "nonSlip"
    },
    {
      "source": "successorGroup",
      "destination": "successor",
      "fixedLength": 90.0,
      "label": "bondCategory",
      "type": "nonSlip"
    },
    {
      "source": "predecessorGroup",
      "destination": "predecessor",
      "fixedLength": 90.0,
      "label": "bondCategory",
      "type": "nonSlip"
    },
    {
      "source": "letterCategory",
      "destination": "length",
      "fixedLength": 95.0,
      "type": "slip"
    },
    {
      "source": "length",
      "destination": "letterCategory",
      "fixedLength": 95.0,
      "type": "slip"
    },
    {
      "source": "letter",
      "destination": "group",
      "fixedLength": 90.0,
      "type": "slip"
    },
    {
      "source": "group",
      "destination": "letter",
      "fixedLength": 90.0,
      "type": "slip"
    },
    {
      "source": "left",
      "destination": "leftmost",
      "fixedLength": 90.0,
      "type": "nonSlip"
    },
    {
      "source": "leftmost",
      "destination": "left",
      "fixedLength": 90.0,
      "type": "nonSlip"
    },
    {
      "source": "right",
      "destination": "rightmost",
      "fixedLength": 90.0,
      "type": "nonSlip"
    },
    {
      "source": "rightmost",
      "destination": "right",
      "fixedLength": 90.0,
      "type": "nonSlip"
    },
    {
      "source": "right",
      "destination": "leftmost",
      "fixedLength": 100.0,
      "type": "nonSlip"
    },
    {
      "source": "leftmost",
      "destination": "right",
      "fixedLength": 100.0,
      "type": "nonSlip"
    },
    {
      "source": "left",
      "destination": "rightmost",
      "fixedLength": 100.0,
      "type": "nonSlip"
    },
    {
      "source": "rightmost",
      "destination": "left",
      "fixedLength": 100.0,
      "type": "nonSlip"
    },
    {
      "source": "leftmost",
      "destination": "first",
      "fixedLength": 100.0,
      "type": "nonSlip"
    },
    {
      "source": "first",
      "destination": "leftmost",
      "fixedLength": 100.0,
      "type": "nonSlip"
    },
    {
      "source": "rightmost",
      "destination": "first",
      "fixedLength": 100.0,
      "type": "nonSlip"
    },
    {
      "source": "first",
      "destination": "rightmost",
      "fixedLength": 100.0,
      "type": "nonSlip"
    },
    {
      "source": "leftmost",
      "destination": "last",
      "fixedLength": 100.0,
      "type": "nonSlip"
    },
    {
      "source": "last",
      "destination": "leftmost",
      "fixedLength": 100.0,
      "type": "nonSlip"
    },
    {
      "source": "rightmost",
      "destination": "last",
      "fixedLength": 100.0,
      "type": "nonSlip"
    },
    {
      "source": "last",
      "destination": "rightmost",
      "fixedLength": 100.0,
      "type": "nonSlip"
    },
    {
      "source": "single",
      "destination": "whole",
      "fixedLength": 90.0,
      "type": "slip"
    },
    {
      "source": "whole",
      "destination": "single",
      "fixedLength": 90.0,
      "type": "slip"
    }
  ]
}